%global pkg_name        DateTime-TimeZone
%global pkg_version     0.6904
%global rpm_pkg_version 0.69_04
%global rpm_pkg_release 1.n0i.29

Summary:       Time zone object base class and factory
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/D/DR/DROLSKY/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: rpm-build-reb00t-perl
BuildRequires: perl(Class::Singleton) >= 1.03
Requires:      perl(Class::Singleton) >= 1.03
BuildRequires: perl(Cwd)              >= 3
Requires:      perl(Cwd)              >= 3
BuildRequires: perl(Params::Validate) >= 0.72
Requires:      perl(Params::Validate) >= 0.72
BuildRequires: perl(Pod::Man)         >= 1.14

%global perl_filter_req  'perl\\(Win32|perl\\((Class::Singleton|Cwd|Params::Validate)\\)$'
%global perl_filter_prov 'DateTime::TimeZone\\)$'

Provides: perl(DateTime::TimeZoneCatalog) = %{pkg_version}


%description
The DateTime::TimeZone modules provide a Perl interface to the Olson time
zone database.  Rather than using the database directly, we parse the
database files and turn them into a set of modules, one for each time zone
defined.  This allows for various optimizations in doing time zone
calculations.  This conversion is done with the script in tools/parse_olson.

The Olson time zone database is the best available source for world wide
time zone information, available from ftp://elsie.nci.nih.gov/pub/ .

A good starting point for information on the database, and time zones
in general, is http://www.twinsun.com/tz/tz-link.htm .


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes LICENSE README


%changelog
* Tue Nov 13 2007 Marius Feraru <altblue@n0i.net> - 0.69_04-1.n0i.29.0.6904
- version 0.6904

* Wed Nov 07 2007 Marius Feraru <altblue@n0i.net> - 0.69_02-1.n0i.28.0.6902
- version 0.6902

* Sat Nov 03 2007 Marius Feraru <altblue@n0i.net> - 0.69_01-1.n0i.27.0.6901
- version 0.6901

* Sat Nov 03 2007 Marius Feraru <altblue@n0i.net> - 0.69-1.n0i.26
- version 0.69

* Tue Oct 02 2007 Marius Feraru <altblue@n0i.net> - 0.68-1.n0i.25
- version 0.68

* Wed Aug 22 2007 Marius Feraru <altblue@n0i.net> - 0.67-1.n0i.24
- version 0.67

* Wed Aug 01 2007 Marius Feraru <altblue@n0i.net> - 0.66_03-1.n0i.23.0.6603
- version 0.6603

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.66_01-1.n0i.22.0.6601
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 0.6601

* Tue May 09 2006 Marius Feraru <altblue@n0i.net> - 0.46-1.n0i.21
- version 0.46

* Tue May 02 2006 Marius Feraru <altblue@n0i.net> - 0.45-1.n0i.20
- version 0.45

* Tue Apr 18 2006 Marius Feraru <altblue@n0i.net> - 0.44-1.n0i.19
- version 0.44

* Fri Apr 14 2006 Marius Feraru <altblue@n0i.net> - 0.43-1.n0i.18
- version 0.43

* Sat Mar 04 2006 Marius Feraru <altblue@n0i.net> - 0.42-1.n0i.17
- version 0.42

* Thu Feb 02 2006 Marius Feraru <altblue@n0i.net> 0.41-1.n0i.16
- version 0.41

* Fri Dec 30 2005 Marius Feraru <altblue@n0i.net> 0.40-1.n0i.15
- version 0.40

* Wed Aug 31 2005 Marius Feraru <altblue@n0i.net> 0.37-1.n0i.14
- version 0.37

* Sun Jul 24 2005 Marius Feraru <altblue@n0i.net> 0.36-1.n0i.13
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Wed Mar 30 2005 Marius Feraru <altblue@n0i.net> 0:0.35-2.n0i.12
- version 0.35

* Thu Jan 13 2005 Marius Feraru <altblue@n0i.net> 0:0.32-1.n0i.11
- version 0.32

* Tue Jan 04 2005 Marius Feraru <altblue@n0i.net> 0:0.31-1.n0i.10
- version 0.31

* Sun Dec 05 2004 Marius Feraru <altblue@n0i.net> 0:0.30-1.n0i.9
- version 0.30

* Fri Jul 09 2004 Marius FERARU <altblue@n0i.net> 0:0.27-2.n0i.8
- version 0.27

* Fri Apr 30 2004 Marius Feraru <altblue@n0i.net> 0:0.26_01-1.n0i.7.0.2602
- automatic rebuild

* Thu Apr 22 2004 Marius Feraru <altblue@n0i.net> 0:0.26_01-1.n0i.7
- spec file (re?)created using N0i::CPAN::RPMizer/2004032101
- rebuild (perl 5.8.4)

* Fri Mar 19 2004 Marius FERARU <altblue@n0i.net> 0:0.26-1.n0i.5.2601
- version 0.2601

* Sat Feb 21 2004 Marius FERARU <altblue@n0i.net> 0:0.25-1.n0i.4.0.2507
- version 0.2507

* Thu Jan 29 2004 Marius FERARU <altblue@n0i.net> 0:0.2506-0.n0i.3
- version 0.2506
- spec file (re?)created using N0i::CPAN::RPMizer/2004011001

* Mon Nov 03 2003 Marius FERARU <altblue@n0i.net> 0:0.2505-0.n0i.2
- version 0.2505
- spec file (re?)created using N0i::CPAN::RPMizer/2003102001

* Wed Jul 30 2003 Marius FERARU <altblue@n0i.net> 0.25-0.n0i
- version 0.25
